Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class DefaultSettableVertexLocationFunction

    java.lang.Object
      edu.uci.ics.jung.visualization.DefaultSettableVertexLocationFunction

All Implemented Interfaces:
  SettableVertexLocationFunction, VertexLocationFunction

public class DefaultSettableVertexLocationFunction
extends Object
implements SettableVertexLocationFunction

A `Map`-based implementation of `SettableVertexLocationFunction`.

Author:
  Joshua O'Madadhain

Field Summary
`protected boolean` | `normalized`
`protected Map` | `v_locations`

Constructor Summary
`DefaultSettableVertexLocationFunction()`
`DefaultSettableVertexLocationFunction(VertexLocationFunction vlf)`

Method Summary
`Point2D` | `getLocation(ArchetypeVertex v)`
`Iterator` | `getVertexIterator()`
`void` | `reset()`
`void` | `setLocation(ArchetypeVertex v, Point2D location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v_locations

    protected Map v_locations

### normalized

    protected boolean normalized

Constructor Detail

### DefaultSettableVertexLocationFunction

    public DefaultSettableVertexLocationFunction()

### DefaultSettableVertexLocationFunction

    public DefaultSettableVertexLocationFunction(VertexLocationFunction vlf)

Method Detail

### setLocation

    public void setLocation(ArchetypeVertex v,
                            Point2D location)

  Specified by:
    `setLocation` in interface `SettableVertexLocationFunction`

### getLocation

    public Point2D getLocation(ArchetypeVertex v)

  Specified by:
    `getLocation` in interface `VertexLocationFunction`

### reset

    public void reset()

### getVertexIterator

    public Iterator getVertexIterator()

  Specified by:
    `getVertexIterator` in interface `VertexLocationFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD